Release 2.2.0 gnupg-2.2.0
authorWerner Koch <wk@gnupg.org>
Mon, 28 Aug 2017 09:18:26 +0000 (11:18 +0200)
committerWerner Koch <wk@gnupg.org>
Mon, 28 Aug 2017 09:18:26 +0000 (11:18 +0200)
NEWS
README
configure.ac
doc/whats-new-in-2.1.txt

diff --git a/NEWS b/NEWS
index 3b4e008..345fe23 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,5 +1,13 @@
-Noteworthy changes in version 2.2.0 (unreleased)
--------------------------------------------------
+Noteworthy changes in version 2.2.0 (2017-08-28)
+------------------------------------------------
+
+  This is the new long term stable branch.  This branch will only see
+  bug fixes and no new features.
+
+  * gpg: Reverted change in 2.1.23 so that --no-auto-key-retrieve is
+    again the default.
+
+  * Fixed a few minor bugs.
 
 
 Noteworthy changes in version 2.1.23 (2017-08-09)
@@ -38,6 +46,8 @@ Noteworthy changes in version 2.1.23 (2017-08-09)
 
   * Fixed connection timeout problem under Windows.
 
+  See-also: gnupg-announce/2017q3/000412.html
+
 
 Noteworthy changes in version 2.1.22 (2017-07-28)
 -------------------------------------------------
diff --git a/README b/README
index a9a3eb0..6cd4ddb 100644 (file)
--- a/README
+++ b/README
@@ -1,6 +1,6 @@
                        The GNU Privacy Guard 2
                       =========================
-                             Version 2.1
+                             Version 2.2
 
           Copyright 1997-2017 Werner Koch
           Copyright 1998-2017 Free Software Foundation, Inc.
   GNU General Public License.
 
   Note that the 2.0 series of GnuPG will reach end-of-life on
-  2017-12-31.  It is not possible to install a 2.1.x version along
+  2017-12-31.  It is not possible to install a 2.2.x version along
   with any 2.0.x version.  However, it is possible to install GnuPG
-  1.4 along with a 2.x version.
+  1.4 along with any 2.x version.
 
 
 * BUILD INSTRUCTIONS
 
-  GnuPG 2.1 depends on the following GnuPG related packages:
+  GnuPG 2.2 depends on the following GnuPG related packages:
 
     npth         (ftp://ftp.gnupg.org/gcrypt/npth/)
     libgpg-error (ftp://ftp.gnupg.org/gcrypt/libgpg-error/)
   Add other options as needed.
 
 
-* MIGRATION from 1.4 or 2.0 to 2.1
+* MIGRATION from 1.4 or 2.0 to 2.2
 
-  The major change in 2.1 is gpg-agent taking care of the OpenPGP
+  The major change in 2.2 is gpg-agent taking care of the OpenPGP
   secret keys (those managed by GPG).  The former file "secring.gpg"
   will not be used anymore.  Newly generated keys are stored in the
   agent's key store directory "~/.gnupg/private-keys-v1.d/".  The
 
   Note that gpg-agent now uses a fixed socket.  All tools will start
   the gpg-agent as needed.  The formerly used environment variable
-  GPG_AGENT_INFO is ignored by 2.1.  The SSH_AUTH_SOCK environment
+  GPG_AGENT_INFO is ignored by 2.2.  The SSH_AUTH_SOCK environment
   variable should be set to a fixed value.
 
   The Dirmngr is now part of GnuPG proper and also used to access
   use of the GnuPG directories.  Dirmngr is started by gpg or gpgsm as
   needed. There is no more need to install a separate Dirmngr package.
 
+  All changes introduced with GnuPG 2.2 have been developed in the 2.1
+  series of releases.  See the respective entries in the file NEWS.
+
 * RECOMMENDATIONS
 
 ** Socket directory
 
 * HOW TO GET MORE INFORMATION
 
-  A description of new features and changes in version 2.1 can be
+  A description of new features and changes since version 2.1 can be
   found in the file "doc/whats-new-in-2.1.txt" and online at
   "https://gnupg.org/faq/whats-new-in-2.1.html" .
 
-  The primary WWW page is "https://www.gnupg.org"
+  The primary WWW page is "https://gnupg.org"
              or using Tor "http://ic6au7wa3f6naxjq.onion"
-  The primary FTP site is "ftp://ftp.gnupg.org/gcrypt/"
+  The primary FTP site is "https://gnupg.org/ftp/gcrypt/"
 
   See [[https://gnupg.org/download/mirrors.html]] for a list of
   mirrors and use them if possible.  You may also find GnuPG mirrored
   https://www.gnupg.org/documentation/mailing-lists.html for archives
   of the mailing lists.
 
-  Please direct bug reports to [[http://bugs.gnupg.org]] or post them
+  Please direct bug reports to [[https://bugs.gnupg.org]] or post them
   direct to the mailing list <gnupg-devel@gnupg.org>.
 
   Please direct questions about GnuPG to the users mailing list or one
index 33c88d2..6f945bd 100644 (file)
@@ -1864,7 +1864,7 @@ if test "$have_gpg_error" = "no"; then
 ***
 *** You need libgpg-error to build this program.
 **  This library is for example available at
-***   ftp://ftp.gnupg.org/gcrypt/libgpg-error
+***   https://gnupg.org/ftp/gcrypt/libgpg-error
 *** (at least version $NEED_GPG_ERROR_VERSION is required.)
 ***]])
 fi
@@ -1874,7 +1874,7 @@ if test "$have_libgcrypt" = "no"; then
 ***
 *** You need libgcrypt to build this program.
 **  This library is for example available at
-***   ftp://ftp.gnupg.org/gcrypt/libgcrypt/
+***   https://gnupg.org/ftp/gcrypt/libgcrypt/
 *** (at least version $NEED_LIBGCRYPT_VERSION (API $NEED_LIBGCRYPT_API) is required.)
 ***]])
 fi
@@ -1884,7 +1884,7 @@ if test "$have_libassuan" = "no"; then
 ***
 *** You need libassuan to build this program.
 *** This library is for example available at
-***   ftp://ftp.gnupg.org/gcrypt/libassuan/
+***   https://gnupg.org/ftp/gcrypt/libassuan/
 *** (at least version $NEED_LIBASSUAN_VERSION (API $NEED_LIBASSUAN_API) is required).
 ***]])
 fi
@@ -1894,7 +1894,7 @@ if test "$have_ksba" = "no"; then
 ***
 *** You need libksba to build this program.
 *** This library is for example available at
-***   ftp://ftp.gnupg.org/gcrypt/libksba/
+***   https://gnupg.org/ftp/gcrypt/libksba/
 *** (at least version $NEED_KSBA_VERSION using API $NEED_KSBA_API is required).
 ***]])
 fi
@@ -1915,7 +1915,7 @@ if test "$have_npth" = "no"; then
 *** It is now required to build with support for the
 *** New Portable Threads Library (nPth). Please install this
 *** library first.  The library is for example available at
-***   ftp://ftp.gnupg.org/gcrypt/npth/
+***   https://gnupg.org/ftp/gcrypt/npth/
 *** (at least version $NEED_NPTH_VERSION (API $NEED_NPTH_API) is required).
 ***]])
 fi
@@ -1928,7 +1928,7 @@ if test "$require_iconv" = yes; then
 *** The system does not provide a working iconv function.  Please
 *** install a suitable library; for example GNU Libiconv which is
 *** available at:
-***   http://ftp.gnu.org/gnu/libiconv/
+***   https://ftp.gnu.org/gnu/libiconv/
 ***]])
   fi
 fi
index 4b7349a..ef8b233 100644 (file)
@@ -6,7 +6,7 @@
                       ━━━━━━━━━━━━━━━━━━━━━━━━━━━
 
 
-                               2016-07-14
+                               2017-08-28
 
 
 Table of Contents
@@ -42,11 +42,11 @@ https://gnupg.org/faq/whats-new-in-2.1.html
 1 What’s new in GnuPG 2.1
 ═════════════════════════
 
-  GnuPG version 2.1 comes with a bag of new features which changes some
-  things old-timers are used to.  This page explains the more important
-  ones.  It expects that the reader is familiar with GnuPG version 2.0
-  and aware that GnuPG consists of /gpg/, /gpgsm/, and /gpg-agent/ as
-  its main components.
+  GnuPG version 2.1 (now known as 2.2) comes with a bag of new features
+  which changes some things old-timers are used to.  This page explains
+  the more important ones.  It expects that the reader is familiar with
+  GnuPG version 2.0 and aware that GnuPG consists of /gpg/, /gpgsm/, and
+  /gpg-agent/ as its main components.
 
   • The file /secring.gpg/ is not anymore used to store the secret keys.
     Merging of secret keys is now supported.
@@ -103,8 +103,8 @@ https://gnupg.org/faq/whats-new-in-2.1.html
   • The scripts to create a Windows installer are now part of GnuPG.
 
   Now for the detailed description of these new features.  Note that the
-  examples assume that /gpg/ is installed as /gpg/.  Your
-  installation may have it installed under the name /gpg2/.
+  examples assume that /gpg/ is installed as /gpg/.  Your installation
+  may have it installed under the name /gpg2/.
 
 
 1.1 Removal of the secret keyring
@@ -477,6 +477,25 @@ https://gnupg.org/faq/whats-new-in-2.1.html
   │ uid               [ unknown] Sample 2 <me@example.org>
   └────
 
+  Since version 2.1.17 the expiration date of the primary key can be
+  changed directly:
+
+  ┌────
+  │ $ gpg --quick-set-expire 5B83120DB1E3A65AE5A8DCF6AA43F1DCC7FED1B7 2017-12-31
+  │ $ gpg -K 5B83120DB1E3A65AE5A8DCF6AA43F1DCC7FED1B7
+  │ sec   rsa2048 2016-06-22 [SC] [expires: 2017-12-31]
+  │       5B83120DB1E3A65AE5A8DCF6AA43F1DCC7FED1B7
+  │ uid           [ultimate] steve.biko@example.net
+  │ ssb   rsa2048 2016-06-22 [E]
+  │
+  │ $ gpg --quick-set-expire 5B83120DB1E3A65AE5A8DCF6AA43F1DCC7FED1B7 none
+  │ $ gpg -K 5B83120DB1E3A65AE5A8DCF6AA43F1DCC7FED1B7
+  │ sec   rsa2048 2016-06-22 [SC]
+  │       5B83120DB1E3A65AE5A8DCF6AA43F1DCC7FED1B7
+  │ uid           [ultimate] steve.biko@example.net
+  │ ssb   rsa2048 2016-06-22 [E]
+  └────
+
 
 1.6 Improved Pinentry support
 ─────────────────────────────
@@ -510,9 +529,9 @@ https://gnupg.org/faq/whats-new-in-2.1.html
   at login time and use an environment variable (`GPG_AGENT_INFO') to
   tell the other GnuPG modules how to connect to the agent.  However,
   correctly managing the start up and this environment variable is
-  cumbersome so that an easier method is required.  Since GnuPG
-  2.0.16 the `--use-standard-socket' option already allowed to start the
-  agent on the fly; however the environment variable was still required.
+  cumbersome so that an easier method is required.  Since GnuPG 2.0.16
+  the `--use-standard-socket' option already allowed to start the agent
+  on the fly; however the environment variable was still required.
 
   With GnuPG 2.1 the need of `GPG_AGENT_INFO' has been completely
   removed and the variable is ignored.  Instead a fixed Unix domain
@@ -668,6 +687,10 @@ https://gnupg.org/faq/whats-new-in-2.1.html
   pad are supported.  The internal CCID driver does now also work with
   certain non-auto-configuration equipped readers.
 
+  Since version 2.1.19 multiple card readers are support and the format
+  of the Pinentry prompts has been changed to show more information on
+  the requested card.
+
 
   [gnuk] http://www.fsij.org/doc-gnuk/
 
@@ -713,7 +736,7 @@ https://gnupg.org/faq/whats-new-in-2.1.html
   makes writing of key manager software easier.
 
 
-  [GPGME] https://gnupg.org/related_software/gpgme/
+  [GPGME] https://gnupg.org/software/gpgme/
 
 
 1.15 Recipient key from file
@@ -836,7 +859,7 @@ https://gnupg.org/faq/whats-new-in-2.1.html
 
 
 
-  # Copyright 2014--2016 The GnuPG Project.
+  # Copyright 2014--2017 The GnuPG Project.
   # This work is licensed under the Creative Commons
   # Attribution-ShareAlike 4.0 International License.  To view a copy of
   # this license, visit http://creativecommons.org/licenses/by-sa/4.0/